Bug 483054 - lots of file conflicts between mvapich2 multilib packages.
lots of file conflicts between mvapich2 multilib packages.
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: releng (Show other bugs)
ia64 Linux
low Severity medium
: rc
: ---
Assigned To: Nick Petrov
Alexander Todorov
Depends On:
  Show dependency treegraph
Reported: 2009-01-29 09:59 EST by Alexander Todorov
Modified: 2009-05-19 09:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-19 09:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-01-29 09:59:07 EST
Description of problem:
Lots of file conflicts between mvapich2 multilib packages on ia64

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RHEL4.8, @everything
2. Download all compatlayer packages
3. Try to install them (or mvapich2 only)
Actual results:
File conflicts. rpm transaction fails.

Expected results:

Additional info:
Filing against distribution because there's no mvapich2 component in bugzilla.

mvapich{2} is new package in RHEL4.8. It's not in 4.7. See above URL for detailed log of all failures.
Comment 1 Alexander Todorov 2009-01-29 10:01:39 EST
Adding package owner and rpm owner to CC. 

can the conflict be fixed in the package or we need to patch rpm to skip the check?
Comment 2 Doug Ledford 2009-01-29 23:42:08 EST
mvapich2 was not intended, not is it supported, to be multilib on ia64.  For all other arches, %{_libdir} is embedded in the file paths and so no conflicts occur, but of course on ia64 the 64bit %{_libdir} is the same as the 32bit one.  According to the file list contents for the errata, ia64 is *not* supposed to be multilib.
Comment 4 Alexander Todorov 2009-01-30 02:14:29 EST
Moving to rel-eng. See comments #2 and #3
Comment 5 Daniel Mach 2009-01-30 08:07:37 EST
I haven't found mvapich* in comps or distill config.

aren't these packages pulled via deps?
Multilib respects deps, so if a package is multilib, it pulls all it's deps as multilib.
Comment 6 Daniel Mach 2009-01-30 09:32:47 EST
Strike comment #5 please.
I've grepped probably old comps - the packages are in compat-arch-support group.

Should mvapich2.i386 be removed only from ia64
or from both ia64 and x86_64?
Comment 7 Doug Ledford 2009-01-30 10:30:02 EST
Only from ia64.  We added it to compat-arch-support for x86_64/i386 but had not intentions of it or mvapich being added as multilib on ia64.
Comment 10 Alexander Todorov 2009-02-16 08:26:48 EST
there seems to be lots more conflicts between mvapich packages than between mvapich2 ones. See the link in comment #9.

These look like arch independent files. Probably best to split them into noarch sub package and make mvapich require it. What do you think ?
Comment 13 Alexander Todorov 2009-02-18 11:44:15 EST
mvapich2 is not present in latest nightly builds for ia64 but there are still file conflicts for mvapich-1.1.0-0.3143.4.el4 package. See:

Comment 14 Daniel Mach 2009-02-20 12:53:25 EST
Doug, should we remove mvapich.i386 from ia64 as well?
Comment 15 Doug Ledford 2009-02-20 15:45:57 EST
Yes please ;-)

Note You need to log in before you can comment on or make changes to this bug.